Bug 1292198 - tor-0.2.7.6-3.fc23 fails to start: /run/tor not available because /usr/lib/tmpfiles.d/tor.conf is wrong
tor-0.2.7.6-3.fc23 fails to start: /run/tor not available because /usr/lib/tm...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 12:12 EST by Christian Stadelmann
Modified: 2016-01-02 20:28 EST (History)
4 users (show)

See Also:
Fixed In Version: tor-0.2.7.6-4.fc22 tor-0.2.7.6-4.fc23 tor-0.2.7.6-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-16 12:12:50 EST
Description of problem:
Every time I boot with tor-0.2.7.6-3 installed, tor doesn't work because this update introduces settings in /etc/tor/torrc which require /run/tor to be present when starting tor. /run/tor should be created by systemd's systemd-tmpfiles following configuration in /usr/lib/tmpfiles.d/tor.conf. This file contains just a single line:

d /run/tor 0700 tor tor

With this, systemd-tmpfiles should create a directory /run/tor owned by tor:tor. The tor package in fedora names the tor daemon user toranon:toranon.

Suggested solution:
Change file /usr/lib/tmpfiles.d/tor.conf to

d /run/tor 0700 toranon toranon


Version-Release number of selected component (if applicable):
tor-0.2.7.6-3.fc23

How reproducible:
at each boot – configuration issue

Additional info:
This issue is why I gave negative carma on https://bodhi.fedoraproject.org/updates/tor-0.2.7.6-3.fc23#comment-365240
Comment 1 Fedora Update System 2015-12-16 13:08:09 EST
tor-0.2.7.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bfda6099e2
Comment 2 Fedora Update System 2015-12-16 13:27:56 EST
tor-0.2.7.6-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8185ed15cf
Comment 3 Fedora Update System 2015-12-16 13:28:16 EST
tor-0.2.7.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b870fb3c4e
Comment 4 Fedora Update System 2015-12-17 05:27:53 EST
tor-0.2.7.6-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8185ed15cf
Comment 5 Fedora Update System 2015-12-17 05:28:08 EST
tor-0.2.7.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bfda6099e2
Comment 6 Fedora Update System 2015-12-17 07:52:15 EST
tor-0.2.7.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b870fb3c4e
Comment 7 Fedora Update System 2015-12-28 18:52:28 EST
tor-0.2.7.6-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-02 17:22:01 EST
tor-0.2.7.6-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-02 20:28:20 EST
tor-0.2.7.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.